#include "postfx_common.sh"

POSTFX_VSH_1_TEX


sampler sceneTex : register(s0);

float4 frameColor  : register(c1);


float4 psh(VsOutput I) : COLOR
{
  float4 res=tex2D(sceneTex, I.tc);

  float2 dp=I.tc*2-1;
  float f=saturate(dot(dp, dp));
  res=lerp(res, frameColor, frameColor.a*f);

  return res;
}
